/* The toolbar widget is Gnome-only. Its a convenient way to do things but
 * it is certainly not essential for effective work with Gnome Toaster */
#include "config.h"
#ifdef HAVE_GNOME

#include <gnome.h>

#include "main.h"
#include "toolbar.h"
#include "menufunc.h"
#include "record.h" 
#include "source.h"

static GnomeUIInfo toolbar[]=
{
        GNOMEUIINFO_ITEM_STOCK(N_("Quit"),N_("Quit Application"),
				    menufunc_quit,
				    GNOME_STOCK_PIXMAP_EXIT),
	GNOMEUIINFO_SEPARATOR,
	GNOMEUIINFO_ITEM_STOCK(N_("Preferences..."),N_("Set Preferences"),
				    menufunc_preferences,
				    GNOME_STOCK_PIXMAP_PREFERENCES),
	GNOMEUIINFO_SEPARATOR,
	GNOMEUIINFO_ITEM_STOCK(N_("Import"),N_("Import the last session"),
			       menufunc_importsession,
			       GNOME_STOCK_PIXMAP_CONVERT),
	GNOMEUIINFO_SEPARATOR,
	GNOMEUIINFO_ITEM_STOCK(N_("Clear Disc"),N_("Clear a CD-RW"),
			       record_clear,
			       GNOME_STOCK_PIXMAP_CLEAR),
	GNOMEUIINFO_ITEM_STOCK(N_("Record"),N_("Start recording"),
			       record_startrecord,
			       GNOME_STOCK_PIXMAP_CDROM),
	GNOMEUIINFO_SEPARATOR,
	GNOMEUIINFO_ITEM_STOCK(N_("Home"),N_("Go to home directory"),
			       goto_home_dir,
			       GNOME_STOCK_PIXMAP_HOME),
	GNOMEUIINFO_END	    
};


void toolbar_create()
{
	gnome_app_create_toolbar(GNOME_APP(window),toolbar);	
};
#endif	
	
